Skip to main content
GET
/
custom-reference-data
/
sources
/
{sourceId}
/
files
/
{fileId}
/
analysis
Get file analysis result and preview data
curl --request GET \
  --url https://api.artu.ai/custom-reference-data/sources/{sourceId}/files/{fileId}/analysis \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Environment: <api-key>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "sourceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "filename": "<string>",
  "contentType": "<string>",
  "size": 123,
  "sheetName": "<string>",
  "rowCount": 0,
  "errorMessage": "<string>",
  "snapshotAt": "2023-11-07T05:31:56Z",
  "analysisResult": {
    "headerRow": 4503599627370495,
    "dataStartRow": 4503599627370495,
    "dataEndRow": 4503599627370495,
    "skipRows": [
      4503599627370495
    ],
    "columns": [
      {
        "originalName": "<string>",
        "key": "<string>",
        "label": "<string>",
        "description": "<string>",
        "ignored": false,
        "transform": "<string>"
      }
    ],
    "sampleRows": [
      {}
    ],
    "confidence": 0.5,
    "estimatedRowCount": 4503599627370495
  },
  "availableSheets": [
    "<string>"
  ],
  "conversationHistory": [
    {
      "content": "<string>"
    }
  ],
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

API key authentication. Obtain your API key from the dashboard.

X-Environment
string
header
required

Target environment for the request. Must be "test" or "live".

Path Parameters

sourceId
string<uuid>
required
fileId
string<uuid>
required

Response

200 - application/json

OK

id
string<uuid>
required
sourceId
string<uuid>
required
filename
string
required
contentType
string
required
size
number | null
required
status
enum<string>
required
Available options:
pending_upload,
uploaded,
processing,
synced,
error
sheetName
string | null
required
rowCount
integer | null
required
Required range: -9007199254740991 <= x <= 9007199254740991
errorMessage
string | null
required
snapshotAt
string<date-time> | null
required
analysisStatus
enum<string> | null
required
Available options:
pending,
analyzing,
analyzed,
approved,
error
analysisResult
object
required
availableSheets
string[] | null
required
conversationHistory
object[] | null
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required